Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Jonas Bernoulli <[email-masked]>
Date: Mon, 11 Nov 2019 11:52:06 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Jonas Bernoulli <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 06 Nov 2019 17:26:12 +0100
>>
>> ------
>> (defface testing '((t (:background "LightYellow"))) "DOC")
>>
>> (overlay-put (make-overlay (point-min) (point-max) nil t)
>>              'face ; or 'font-lock-face
>>              'testing)
>>
>> (remove-overlays (point-min) (point-max))
>>
>> (put-text-property (point-min) (point-max) 'font-lock-face 'testing)
>> ------
>
> Thanks.
>
>> I have not yet looked into why Magit's diff faces extend beyond eol even
>> though I didn't tell them too
>
> Crystal ball says that Magit faces which inherit from some core faces
> behave differently than those which don't inherit.

Turns out it was the same issue as the one above.  (Magit's diff faces
do not inherit from diff faces that led to too many regressions when
themes changed diff faces without thinking of the somewhat different
needs of Magit.)

Okay then moving on to telling many Magit faces to :extend...
I'll be back.